# 购物车系统
class ShoppingCart:
    def __init__(self):
        self.cart = {}  # 用于存储购物车中的商品信息

    def add_item(self):
        item_id = input("输入商品id：")
        name = input("商品名称：")
        price = float(input("商品价格："))
        quantity = int(input("购买数量："))
        self.cart[item_id] = {"name": name, "price": price, "quantity": quantity}
        print(f"您的商品id为{item_id}\n品牌为{name}\n价格{price}\n购买数量为{quantity}\n已添加到购物车内。")

    def query_item(self):
        item_id = input("请输入要查询的商品id：")
        if item_id in self.cart:
            item = self.cart[item_id]
            print(f"商品id：{item_id}\n名称：{item['name']}\n价格：{item['price']}\n数量：{item['quantity']}")
        else:
            print("购物车中没有该商品。")

    def modify_item(self):
        item_id = input("请输入要修改的商品id：")
        if item_id in self.cart:
            new_quantity = int(input("请输入新的购买数量："))
            self.cart[item_id]["quantity"] = new_quantity
            print(f"商品id为{item_id}的数量已修改为{new_quantity}。")
        else:
            print("购物车中没有该商品。")

    def pay(self):
        total_price = 0
        print("购物车中的商品如下：")
        for item_id, item in self.cart.items():
            total_price += item["price"] * item["quantity"]
            print(f"商品id：{item_id}\n名称：{item['name']}\n价格：{item['price']}\n数量：{item['quantity']}\n")
        print(f"总价格为：{total_price}")
        print("感谢您的购买！")
        self.cart.clear()

    def quit(self):
        print("感谢使用购物车系统，再见！")
        exit()

    def run(self):
        print("****欢迎光临购物车，请输入命令进行相应操作****")
        print("添加商品到购物车，请输入：add")
        print("查询商品，请输入：query")
        print("修改商品数量，请输入：modify")
        print("付款，请输入：pay")
        print("退出程序，请输入：quit")
        print("******************************************************")
        while True:
            command = input("请输入您的操作命令：")
            if command == "add":
                self.add_item()
            elif command == "query":
                self.query_item()
            elif command == "modify":
                self.modify_item()
            elif command == "pay":
                self.pay()
            elif command == "quit":
                self.quit()
            else:
                print("无效的命令，请重新输入。")


if __name__ == "__main__":
    cart = ShoppingCart()
    cart.run()